<section
  class="detail-dataset-quality"
  *ngIf="data$ | async as data"
>
  <ng-container *ngIf="data.quality_score_point !== 0; else empty">
    <div
      *ngIf="data.quality_score as row"
      [ngClass]="[jds.cardBody, jds.py(32), jds.px(24)]"
    >
      <!-- Penilaian -->
      <div [ngClass]="[jds.d('flex'), jds.border(1), jds.rounded(8)]">
        <div
          [ngClass]="[
            jds.w(330),
            jds.bg(getQualityScoreColor(data.quality_score_point)),
            jds.text('white'),
            jds.roundedStart(8),
            jds.py(32),
            jds.px(40)
          ]"
        >
          <div [ngClass]="[jds.fs(18), jds.fw('bold')]">Skor Penilaian</div>
          <div [ngClass]="[jds.mt(16)]">
            <span [ngClass]="[jds.fs(72), jds.me(6)]">
              {{ row.result.final | number: '1.0-1' : 'id' }}
            </span>
            <span [ngClass]="[jds.fs(21)]">/100</span>
          </div>
          <div [ngClass]="[jds.mt(16)]">
            <div
              [ngClass]="[
                jds.d('inline-flex'),
                jds.alignItems('center'),
                jds.border(1),
                jds.rounded(8),
                jds.py(6),
                jds.px(10)
              ]"
              [style.borderColor]="'white'"
            >
              <svg
                [ngClass]="[jds.me(8)]"
                width="10"
                height="10"
                viewBox="0 0 10 10"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <rect
                  width="10"
                  height="10"
                  rx="2"
                  fill="white"
                />
              </svg>
              <div>{{ data.quality_score_label }}</div>
            </div>
          </div>
        </div>
        <div [ngClass]="[jds.w('full'), jds.py(32), jds.px(56)]">
          <div [ngClass]="[jds.fs(18), jds.fw('bold')]">
            Detail Penilaian
            <span
              [popperPlacement]="'top'"
              [popperTrigger]="'hover'"
              [popper]="testTooltip"
            >
              <jds-bi-icon
                [ngClass]="jds.ms(6)"
                name="circle-info"
              />
            </span>

            <popper-content #testTooltip>
              <div [ngClass]="jds.textAlign('start')">
                <div [ngClass]="jds.fw('bold')">Bobot Penilaian:</div>
                <div [ngClass]="jds.fs(14)">
                  <div>Conformity: {{ row.result.conformity_weight }}</div>
                  <div>Uniqueness: {{ row.result.uniqueness_weight }}</div>
                  <div>Consistency: {{ row.result.consistency_weight }}</div>
                  <div>Timeliness: {{ row.result.timeliness_weight }}</div>
                  <div>Completeness: {{ row.result.completeness_weight }}</div>
                </div>
              </div>
            </popper-content>
          </div>

          <div [ngClass]="jds.mt(24)">
            <div [ngClass]="jds.tableResponsive">
              <table
                [ngClass]="[
                  jds.table,
                  jds.tableSm,
                  jds.tableBorderless,
                  jds.fs(14),
                  jds.mb(0)
                ]"
                role="table"
                aria-label="Quality Score"
                aria-describedby="Table Quality Score"
              >
                <tbody>
                  <tr *ngFor="let item of getQualityScoreDetail(row.result)">
                    <th
                      scope="row"
                      [style.width.%]="15"
                    >
                      {{ item.name }}
                    </th>
                    <td [style.verticalAlign]="'middle'">
                      <div [ngClass]="[jds.progress, jds.h(10)]">
                        <div
                          [ngClass]="[
                            jds.progressBar,
                            jds.bg(getQualityScoreColor(item.score))
                          ]"
                          [style.width.%]="item.score"
                          role="progressbar"
                        ></div>
                      </div>
                    </td>
                    <td
                      [ngClass]="[jds.fw('bold'), jds.textAlign('end')]"
                      [style.width.%]="10"
                    >
                      {{ item.score | number: '1.0-1' : 'id' }}
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>

      <div
        [ngClass]="[jds.d('flex'), jds.mt(48)]"
        [style.gap.px]="48"
        [style.flexDirection]="'column'"
      >
        <!-- Conformity -->
        <div>
          <jds-bi-accordion
            #acc="jdsBiAccordion"
            [destroyOnHide]="false"
            [closeOthers]="false"
            [ngClass]="['accordion-conformity']"
            colorScheme="blue"
          >
            <jds-bi-panel id="accordion-conformity">
              <ng-template
                jdsBiPanelHeader
                let-opened="opened"
              >
                <button
                  class="t-accordion-button"
                  [ngClass]="[jds.justifyContent('between'), jds.p(0)]"
                  [class.collapsed]="!opened"
                  jdsBiPanelToggle
                >
                  <span
                    [ngClass]="jds.fs(28)"
                    [style.lineHeight.px]="45"
                  >
                    Conformity
                  </span>
                  <svg
                    [ngClass]="['t-accordion-button-icon', jds.ms(16)]"
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <g clip-path="url(#clip0_6477_39208)">
                      <path
                        d="M0 12C0 18.6274 5.37258 24 12 24C18.6274 24 24 18.6274 24 12C24 5.37258 18.6274 0 12 0C5.37258 0 0 5.37258 0 12Z"
                        fill="#E3F2FD"
                      />
                      <path
                        d="M12 10.3331L16.6669 15L18 13.6669L12 7.66686L6 13.6669L7.33312 15L12 10.3331Z"
                        fill="#1976D2"
                      />
                    </g>
                    <defs>
                      <clipPath id="clip0_6477_39208">
                        <rect
                          width="24"
                          height="24"
                          fill="white"
                          transform="matrix(1 0 0 -1 0 24)"
                        />
                      </clipPath>
                    </defs>
                  </svg>
                </button>
              </ng-template>
              <ng-template jdsBiPanelContent>
                <div>Kesesuaian Informasi dan Metadata dengan Dataset.</div>
                <div
                  [ngClass]="[jds.mt(24), jds.row]"
                  [style.--jds-gutter-x.px]="16"
                >
                  <div [ngClass]="jds.col(6)">
                    <div
                      [ngClass]="[
                        jds.card,
                        jds.bg(jdsBiColor.gray['100']),
                        jds.h('full')
                      ]"
                    >
                      <div [ngClass]="[jds.cardBody, jds.py(16)]">
                        <ng-container
                          [ngTemplateOutlet]="title"
                          [ngTemplateOutletContext]="{
                            title: 'Deskripsi:',
                            subtitle:
                              'Kesesuaian penjelasan kolom dalam deskripsi dengan kolom pada dataset.'
                          }"
                        >
                        </ng-container>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container
                            [ngTemplateOutlet]="formulaPercentage"
                            [ngTemplateOutletContext]="{
                              variableA:
                                'Jumlah kolom yang dijelaskan dalam deskripsi',
                              variableB:
                                'Jumlah kolom dalam dataset/tabel/baris data',
                              percentage: 20
                            }"
                          />
                        </div>
                      </div>
                    </div>
                  </div>
                  <div [ngClass]="jds.col(6)">
                    <div
                      [ngClass]="[
                        jds.card,
                        jds.bg(jdsBiColor.gray['100']),
                        jds.h('full')
                      ]"
                    >
                      <div [ngClass]="[jds.cardBody, jds.py(16)]">
                        <ng-container
                          [ngTemplateOutlet]="title"
                          [ngTemplateOutletContext]="{
                            title: 'Validitas Kode dan Nama Kewilayahan:',
                            subtitle:
                              'Kesesuaian kode kewilayahan dan nama wilayah dalam dataset dengan peraturan BPS.'
                          }"
                        >
                        </ng-container>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container [ngTemplateOutlet]="score" />
                        </div>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container
                            [ngTemplateOutlet]="formulaMultiplication"
                            [ngTemplateOutletContext]="{
                              percentage: 20
                            }"
                          />
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

                <div
                  [ngClass]="[jds.mt(16), jds.row]"
                  [style.--jds-gutter-x.px]="16"
                >
                  <div [ngClass]="jds.col(4)">
                    <div
                      [ngClass]="[
                        jds.card,
                        jds.bg(jdsBiColor.gray['100']),
                        jds.h('full')
                      ]"
                    >
                      <div [ngClass]="[jds.cardBody, jds.py(16)]">
                        <ng-container
                          [ngTemplateOutlet]="title"
                          [ngTemplateOutletContext]="{
                            title: 'Pengukuran Dataset:',
                            subtitle:
                              'Kesesuaian nilai pengukuran dengan konteks dataset.'
                          }"
                        >
                        </ng-container>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container [ngTemplateOutlet]="score" />
                        </div>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container
                            [ngTemplateOutlet]="formulaMultiplication"
                            [ngTemplateOutletContext]="{
                              percentage: 20
                            }"
                          />
                        </div>
                      </div>
                    </div>
                  </div>
                  <div [ngClass]="jds.col(4)">
                    <div
                      [ngClass]="[
                        jds.card,
                        jds.bg(jdsBiColor.gray['100']),
                        jds.h('full')
                      ]"
                    >
                      <div [ngClass]="[jds.cardBody, jds.py(16)]">
                        <ng-container
                          [ngTemplateOutlet]="title"
                          [ngTemplateOutletContext]="{
                            title: 'Tingkat Penyajian Dataset:',
                            subtitle:
                              'Kesesuaian tingkat penyajian dengan variabel pada dataset.'
                          }"
                        >
                        </ng-container>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container [ngTemplateOutlet]="score" />
                        </div>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container
                            [ngTemplateOutlet]="formulaMultiplication"
                            [ngTemplateOutletContext]="{
                              percentage: 20
                            }"
                          />
                        </div>
                      </div>
                    </div>
                  </div>
                  <div [ngClass]="jds.col(4)">
                    <div
                      [ngClass]="[
                        jds.card,
                        jds.bg(jdsBiColor.gray['100']),
                        jds.h('full')
                      ]"
                    >
                      <div [ngClass]="[jds.cardBody, jds.py(16)]">
                        <ng-container
                          [ngTemplateOutlet]="title"
                          [ngTemplateOutletContext]="{
                            title: 'Cakupan Dataset:',
                            subtitle:
                              'Kesesuaian cakupan dengan objek atau variabel pada dataset.'
                          }"
                        >
                        </ng-container>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container [ngTemplateOutlet]="score" />
                        </div>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container
                            [ngTemplateOutlet]="formulaMultiplication"
                            [ngTemplateOutletContext]="{
                              percentage: 20
                            }"
                          />
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </ng-template>
            </jds-bi-panel>
          </jds-bi-accordion>

          <div
            *ngIf="row.conformity as conformity"
            [ngClass]="jds.mt(24)"
          >
            <div [ngClass]="jds.tableResponsive">
              <table
                [ngClass]="[
                  jds.table,
                  jds.tableSm,
                  jds.tableBordered,
                  jds.mb(0),
                  jds.fs(14)
                ]"
                role="table"
                aria-label="Quality Score Conformity"
                aria-describedby="Table Quality Score Conformity"
              >
                <thead>
                  <tr [ngClass]="jds.bg('#E9F2FE')">
                    <th
                      scope="col"
                      [colSpan]="4"
                    >
                      Indikator Penilaian
                    </th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Total
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <th
                      scope="row"
                      [colSpan]="2"
                      [ngClass]="jds.bg('#EEEEEE')"
                    >
                      Informasi Dataset
                    </th>
                    <th
                      scope="row"
                      [style.width.%]="12"
                      [ngClass]="[jds.textAlign('center'), jds.bg('#EEEEEE')]"
                    >
                      Nilai
                    </th>
                    <th
                      scope="row"
                      [style.width.%]="12"
                      [ngClass]="[jds.textAlign('center'), jds.bg('#EEEEEE')]"
                    >
                      Bobot Penilaian
                    </th>
                    <td
                      [rowSpan]="8"
                      [ngClass]="[jds.fw('bold'), jds.textAlign('center')]"
                      [style.verticalAlign]="'middle'"
                    >
                      {{ conformity.result | number: '1.0-1' : 'id' }}
                    </td>
                  </tr>
                  <tr>
                    <td
                      [style.width.%]="30"
                      [rowSpan]="2"
                      [style.verticalAlign]="'middle'"
                    >
                      Deskripsi
                    </td>
                    <td>Jumlah kolom yang dijelaskan dalam deskripsi</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ conformity.explain.column_description }}
                    </td>
                    <td
                      [rowSpan]="2"
                      [ngClass]="jds.textAlign('center')"
                      [style.verticalAlign]="'middle'"
                    >
                      {{ conformity.explain.weight }}
                    </td>
                  </tr>
                  <tr>
                    <td>Jumlah kolom dalam dataset/tabel/baris data</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ conformity.explain.column_valid }}
                    </td>
                  </tr>
                  <tr>
                    <th
                      scope="row"
                      [colSpan]="2"
                      [ngClass]="jds.bg('#EEEEEE')"
                    >
                      Metadata
                    </th>
                    <th
                      scope="row"
                      [style.width.%]="12"
                      [ngClass]="[jds.textAlign('center'), jds.bg('#EEEEEE')]"
                    >
                      Nilai
                    </th>
                    <th
                      scope="row"
                      [style.width.%]="12"
                      [ngClass]="[jds.textAlign('center'), jds.bg('#EEEEEE')]"
                    >
                      Bobot Penilaian
                    </th>
                  </tr>
                  <tr>
                    <td [colSpan]="2">Validitas kode dan nama kewilayahan</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ conformity.code_area.result }}
                    </td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ conformity.code_area.weight }}
                    </td>
                  </tr>
                  <tr>
                    <td [colSpan]="2">Pengukuran dataset</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ conformity.measurement.result }}
                    </td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ conformity.measurement.weight }}
                    </td>
                  </tr>
                  <tr>
                    <td [colSpan]="2">Tingkat penyajian dataset</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ conformity.serving_rate.result }}
                    </td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ conformity.serving_rate.weight }}
                    </td>
                  </tr>
                  <tr>
                    <td [colSpan]="2">Cakupan dataset</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ conformity.scope.result }}
                    </td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ conformity.scope.weight }}
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>

        <!-- Uniqueness -->
        <div>
          <jds-bi-accordion
            #acc="jdsBiAccordion"
            [destroyOnHide]="false"
            [closeOthers]="false"
            [ngClass]="['accordion-uniqueness']"
            colorScheme="blue"
          >
            <jds-bi-panel id="accordion-uniqueness">
              <ng-template
                jdsBiPanelHeader
                let-opened="opened"
              >
                <button
                  class="t-accordion-button"
                  [ngClass]="[jds.justifyContent('between'), jds.p(0)]"
                  [class.collapsed]="!opened"
                  jdsBiPanelToggle
                >
                  <span
                    [ngClass]="jds.fs(28)"
                    [style.lineHeight.px]="45"
                  >
                    Uniqueness
                  </span>
                  <svg
                    [ngClass]="['t-accordion-button-icon', jds.ms(16)]"
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <g clip-path="url(#clip0_6477_39208)">
                      <path
                        d="M0 12C0 18.6274 5.37258 24 12 24C18.6274 24 24 18.6274 24 12C24 5.37258 18.6274 0 12 0C5.37258 0 0 5.37258 0 12Z"
                        fill="#E3F2FD"
                      />
                      <path
                        d="M12 10.3331L16.6669 15L18 13.6669L12 7.66686L6 13.6669L7.33312 15L12 10.3331Z"
                        fill="#1976D2"
                      />
                    </g>
                    <defs>
                      <clipPath id="clip0_6477_39208">
                        <rect
                          width="24"
                          height="24"
                          fill="white"
                          transform="matrix(1 0 0 -1 0 24)"
                        />
                      </clipPath>
                    </defs>
                  </svg>
                </button>
              </ng-template>
              <ng-template jdsBiPanelContent>
                <div>Tidak Ada Baris Data Duplikat dalam Dataset.</div>
                <div
                  [ngClass]="[jds.mt(24), jds.row]"
                  [style.--jds-gutter-x.px]="16"
                >
                  <div [ngClass]="jds.col(6)">
                    <div
                      [ngClass]="[
                        jds.card,
                        jds.bg(jdsBiColor.gray['100']),
                        jds.h('full')
                      ]"
                    >
                      <div [ngClass]="[jds.cardBody, jds.py(16)]">
                        <ng-container [ngTemplateOutlet]="score" />
                      </div>
                    </div>
                  </div>
                </div>
              </ng-template>
            </jds-bi-panel>
          </jds-bi-accordion>

          <div
            *ngIf="row.uniqueness as uniqueness"
            [ngClass]="jds.mt(24)"
          >
            <div [ngClass]="jds.tableResponsive">
              <table
                [ngClass]="[
                  jds.table,
                  jds.tableSm,
                  jds.tableBordered,
                  jds.mb(0),
                  jds.fs(14)
                ]"
                role="table"
                aria-label="Quality Score Uniqueness"
                aria-describedby="Table Quality Score Uniqueness"
              >
                <thead>
                  <tr [ngClass]="jds.bg('#E9F2FE')">
                    <th scope="col">Indikator Penilaian</th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Nilai
                    </th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Bobot Penilaian
                    </th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Total
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>Tidak terdapat baris data duplikat</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ uniqueness.duplication.result }}
                    </td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ uniqueness.duplication.weight }}
                    </td>
                    <td [ngClass]="[jds.fw('bold'), jds.textAlign('center')]">
                      {{ uniqueness.result | number: '1.0-1' : 'id' }}
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>

        <!-- Consistency -->
        <div>
          <jds-bi-accordion
            #acc="jdsBiAccordion"
            [destroyOnHide]="false"
            [closeOthers]="false"
            [ngClass]="['accordion-consistency']"
            colorScheme="blue"
          >
            <jds-bi-panel id="accordion-consistency">
              <ng-template
                jdsBiPanelHeader
                let-opened="opened"
              >
                <button
                  class="t-accordion-button"
                  [ngClass]="[jds.justifyContent('between'), jds.p(0)]"
                  [class.collapsed]="!opened"
                  jdsBiPanelToggle
                >
                  <span
                    [ngClass]="jds.fs(28)"
                    [style.lineHeight.px]="45"
                  >
                    Consistency
                  </span>
                  <svg
                    [ngClass]="['t-accordion-button-icon', jds.ms(16)]"
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <g clip-path="url(#clip0_6477_39208)">
                      <path
                        d="M0 12C0 18.6274 5.37258 24 12 24C18.6274 24 24 18.6274 24 12C24 5.37258 18.6274 0 12 0C5.37258 0 0 5.37258 0 12Z"
                        fill="#E3F2FD"
                      />
                      <path
                        d="M12 10.3331L16.6669 15L18 13.6669L12 7.66686L6 13.6669L7.33312 15L12 10.3331Z"
                        fill="#1976D2"
                      />
                    </g>
                    <defs>
                      <clipPath id="clip0_6477_39208">
                        <rect
                          width="24"
                          height="24"
                          fill="white"
                          transform="matrix(1 0 0 -1 0 24)"
                        />
                      </clipPath>
                    </defs>
                  </svg>
                </button>
              </ng-template>
              <ng-template jdsBiPanelContent>
                <div>
                  Konsisten dalam Penyajian Data Sesuai dengan Standar yang
                  Berlaku.
                </div>
                <div
                  [ngClass]="[jds.mt(24), jds.row]"
                  [style.--jds-gutter-x.px]="16"
                >
                  <div [ngClass]="jds.col(4)">
                    <div
                      [ngClass]="[
                        jds.card,
                        jds.bg(jdsBiColor.gray['100']),
                        jds.h('full')
                      ]"
                    >
                      <div [ngClass]="[jds.cardBody, jds.py(16)]">
                        <ng-container
                          [ngTemplateOutlet]="title"
                          [ngTemplateOutletContext]="{
                            title: 'Penulisan Satuan:',
                            subtitle:
                              'Konsisten dalam penggunaan dan penulisan satuan.'
                          }"
                        >
                        </ng-container>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container [ngTemplateOutlet]="score" />
                        </div>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container
                            [ngTemplateOutlet]="formulaMultiplication"
                            [ngTemplateOutletContext]="{
                              percentage: 40
                            }"
                          />
                        </div>
                      </div>
                    </div>
                  </div>
                  <div [ngClass]="jds.col(4)">
                    <div
                      [ngClass]="[
                        jds.card,
                        jds.bg(jdsBiColor.gray['100']),
                        jds.h('full')
                      ]"
                    >
                      <div [ngClass]="[jds.cardBody, jds.py(16)]">
                        <ng-container
                          [ngTemplateOutlet]="title"
                          [ngTemplateOutletContext]="{
                            title:
                              'Penggunaan Kode dan Nama Provinsi Jawa Barat:',
                            subtitle:
                              'Konsisten dalam mencantumkan kode dan nama Provinsi Jawa Barat.'
                          }"
                        >
                        </ng-container>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container [ngTemplateOutlet]="score" />
                        </div>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container
                            [ngTemplateOutlet]="formulaMultiplication"
                            [ngTemplateOutletContext]="{
                              percentage: 40
                            }"
                          />
                        </div>
                      </div>
                    </div>
                  </div>
                  <div [ngClass]="jds.col(4)">
                    <div
                      [ngClass]="[
                        jds.card,
                        jds.bg(jdsBiColor.gray['100']),
                        jds.h('full')
                      ]"
                    >
                      <div [ngClass]="[jds.cardBody, jds.py(16)]">
                        <ng-container
                          [ngTemplateOutlet]="title"
                          [ngTemplateOutletContext]="{
                            title: 'Pengurutan Dataset:',
                            subtitle:
                              'Konsisten dalam pengurutan dataset dari tahun terlama ke tahun terbaru.'
                          }"
                        >
                        </ng-container>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container [ngTemplateOutlet]="score" />
                        </div>
                        <div [ngClass]="jds.mt(12)">
                          <ng-container
                            [ngTemplateOutlet]="formulaMultiplication"
                            [ngTemplateOutletContext]="{
                              percentage: 20
                            }"
                          />
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </ng-template>
            </jds-bi-panel>
          </jds-bi-accordion>

          <div
            *ngIf="row.consistency as consistency"
            [ngClass]="jds.mt(24)"
          >
            <div [ngClass]="jds.tableResponsive">
              <table
                [ngClass]="[
                  jds.table,
                  jds.tableSm,
                  jds.tableBordered,
                  jds.mb(0),
                  jds.fs(14)
                ]"
                role="table"
                aria-label="Quality Score Consistency"
                aria-describedby="Table Quality Score Consistency"
              >
                <thead>
                  <tr [ngClass]="jds.bg('#E9F2FE')">
                    <th scope="col">Indikator Penilaian</th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Nilai
                    </th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Bobot Penilaian
                    </th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Total
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>Penulisan satuan</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ consistency.unit.result }}
                    </td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ consistency.unit.weight }}
                    </td>
                    <td
                      [rowSpan]="3"
                      [ngClass]="[jds.fw('bold'), jds.textAlign('center')]"
                      [style.verticalAlign]="'middle'"
                    >
                      {{ consistency.result | number: '1.0-1' : 'id' }}
                    </td>
                  </tr>
                  <tr>
                    <td>Penggunaan kode dan nama Provinsi Jawa Barat</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ consistency.listing_province.result }}
                    </td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ consistency.listing_province.weight }}
                    </td>
                  </tr>
                  <tr>
                    <td>Pengurutan dataset</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ consistency.time_series.result }}
                    </td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ consistency.time_series.weight }}
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>

        <!-- Timeliness -->
        <div>
          <jds-bi-accordion
            #acc="jdsBiAccordion"
            [destroyOnHide]="false"
            [closeOthers]="false"
            [ngClass]="['accordion-timeliness']"
            colorScheme="blue"
          >
            <jds-bi-panel id="accordion-timeliness">
              <ng-template
                jdsBiPanelHeader
                let-opened="opened"
              >
                <button
                  class="t-accordion-button"
                  [ngClass]="[jds.justifyContent('between'), jds.p(0)]"
                  [class.collapsed]="!opened"
                  jdsBiPanelToggle
                >
                  <span
                    [ngClass]="jds.fs(28)"
                    [style.lineHeight.px]="45"
                  >
                    Timeliness
                  </span>
                  <svg
                    [ngClass]="['t-accordion-button-icon', jds.ms(16)]"
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <g clip-path="url(#clip0_6477_39208)">
                      <path
                        d="M0 12C0 18.6274 5.37258 24 12 24C18.6274 24 24 18.6274 24 12C24 5.37258 18.6274 0 12 0C5.37258 0 0 5.37258 0 12Z"
                        fill="#E3F2FD"
                      />
                      <path
                        d="M12 10.3331L16.6669 15L18 13.6669L12 7.66686L6 13.6669L7.33312 15L12 10.3331Z"
                        fill="#1976D2"
                      />
                    </g>
                    <defs>
                      <clipPath id="clip0_6477_39208">
                        <rect
                          width="24"
                          height="24"
                          fill="white"
                          transform="matrix(1 0 0 -1 0 24)"
                        />
                      </clipPath>
                    </defs>
                  </svg>
                </button>
              </ng-template>
              <ng-template jdsBiPanelContent>
                <div>Tingkat Keterbaruan Dataset.</div>
                <div [ngClass]="[jds.mt(24)]">
                  <div
                    [ngClass]="[
                      jds.card,
                      jds.bg(jdsBiColor.gray['100']),
                      jds.h('full')
                    ]"
                  >
                    <div [ngClass]="[jds.cardBody, jds.py(16)]">
                      <div
                        [ngClass]="[jds.row]"
                        [style.--jds-gutter-x.px]="16"
                      >
                        <div [ngClass]="jds.col(6)">
                          <div
                            [ngClass]="[jds.d('flex'), jds.h('full')]"
                            [style.flexDirection]="'column'"
                          >
                            <div [ngClass]="[jds.fs(14), jds.fw('bold')]">
                              X : Tahun Berjalan atau Tahun Saat ini
                            </div>
                            <div [ngClass]="jds.mt(12)">
                              <ng-container [ngTemplateOutlet]="score" />
                            </div>
                            <div [ngClass]="[jds.fs(12), jds.mt('auto')]">
                              Note: Dilakukan perhitungan masing-masing untuk
                              ketersediaan data dalam 5 tahun terakhir.
                            </div>
                          </div>
                        </div>
                        <div [ngClass]="jds.col(6)">
                          <div
                            [ngClass]="[jds.fs(14), jds.fw('bold'), jds.mb(10)]"
                          >
                            Rumus =
                          </div>
                          <div
                            *ngFor="let n of [1, 2, 3, 4, 5]"
                            [ngClass]="[
                              jds.text(jdsBiColor.green['700']),
                              jds.fs(14),
                              jds.fw('bold'),
                              jds.mt(6)
                            ]"
                          >
                            Ketersediaan dataset tahun X-{{ n }}: Nilai x 20%
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </ng-template>
            </jds-bi-panel>
          </jds-bi-accordion>

          <div
            *ngIf="row.timeliness as timeliness"
            [ngClass]="jds.mt(24)"
          >
            <div [ngClass]="jds.tableResponsive">
              <table
                [ngClass]="[
                  jds.table,
                  jds.tableSm,
                  jds.tableBordered,
                  jds.mb(0),
                  jds.fs(14)
                ]"
                role="table"
                aria-label="Quality Score Timeliness"
                aria-describedby="Table Quality Score Timeliness"
              >
                <thead>
                  <tr [ngClass]="jds.bg('#E9F2FE')">
                    <th scope="col">Indikator Penilaian</th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Nilai
                    </th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Bobot Penilaian
                    </th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Total
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <ng-container *ngIf="timeliness.year.length > 0">
                    <tr *ngFor="let item of timeliness.year; let first = first">
                      <td>Tersedia tahun {{ item.year }}</td>
                      <td [ngClass]="jds.textAlign('center')">
                        {{ item.result }}
                      </td>
                      <td [ngClass]="jds.textAlign('center')">
                        {{ item.weight }}%
                      </td>
                      <td
                        *ngIf="first"
                        [rowSpan]="timeliness.year.length"
                        [ngClass]="[jds.fw('bold'), jds.textAlign('center')]"
                        [style.verticalAlign]="'middle'"
                      >
                        {{ timeliness.result }}
                      </td>
                    </tr>
                  </ng-container>
                </tbody>
              </table>
            </div>
          </div>
        </div>

        <!-- Completeness -->
        <div>
          <jds-bi-accordion
            #acc="jdsBiAccordion"
            [destroyOnHide]="false"
            [closeOthers]="false"
            [ngClass]="['accordion-completeness']"
            colorScheme="blue"
          >
            <jds-bi-panel id="accordion-completeness">
              <ng-template
                jdsBiPanelHeader
                let-opened="opened"
              >
                <button
                  class="t-accordion-button"
                  [ngClass]="[jds.justifyContent('between'), jds.p(0)]"
                  [class.collapsed]="!opened"
                  jdsBiPanelToggle
                >
                  <span
                    [ngClass]="jds.fs(28)"
                    [style.lineHeight.px]="45"
                  >
                    Completeness
                  </span>
                  <svg
                    [ngClass]="['t-accordion-button-icon', jds.ms(16)]"
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <g clip-path="url(#clip0_6477_39208)">
                      <path
                        d="M0 12C0 18.6274 5.37258 24 12 24C18.6274 24 24 18.6274 24 12C24 5.37258 18.6274 0 12 0C5.37258 0 0 5.37258 0 12Z"
                        fill="#E3F2FD"
                      />
                      <path
                        d="M12 10.3331L16.6669 15L18 13.6669L12 7.66686L6 13.6669L7.33312 15L12 10.3331Z"
                        fill="#1976D2"
                      />
                    </g>
                    <defs>
                      <clipPath id="clip0_6477_39208">
                        <rect
                          width="24"
                          height="24"
                          fill="white"
                          transform="matrix(1 0 0 -1 0 24)"
                        />
                      </clipPath>
                    </defs>
                  </svg>
                </button>
              </ng-template>
              <ng-template jdsBiPanelContent>
                <div>Tingkat Keterisian Cell/Data dalam Dataset.</div>
                <div
                  [ngClass]="[jds.mt(24), jds.row]"
                  [style.--jds-gutter-x.px]="16"
                >
                  <div [ngClass]="jds.col(6)">
                    <div
                      [ngClass]="[
                        jds.card,
                        jds.bg(jdsBiColor.gray['100']),
                        jds.h('full')
                      ]"
                    >
                      <div [ngClass]="[jds.cardBody, jds.py(16)]">
                        <ng-container
                          [ngTemplateOutlet]="formulaPercentage"
                          [ngTemplateOutletContext]="{
                            variableA: 'Jumlah baris dengan atribut lengkap',
                            variableB: 'Jumlah seluruh baris',
                            percentage: 100
                          }"
                        />
                      </div>
                    </div>
                  </div>
                </div>
              </ng-template>
            </jds-bi-panel>
          </jds-bi-accordion>

          <div
            *ngIf="row.completeness as completeness"
            [ngClass]="jds.mt(24)"
          >
            <div [ngClass]="jds.tableResponsive">
              <table
                [ngClass]="[
                  jds.table,
                  jds.tableSm,
                  jds.tableBordered,
                  jds.mb(0),
                  jds.fs(14)
                ]"
                role="table"
                aria-label="Quality Score Completeness"
                aria-describedby="Table Quality Score Completeness"
              >
                <thead>
                  <tr [ngClass]="jds.bg('#E9F2FE')">
                    <th
                      scope="col"
                      [colSpan]="2"
                    >
                      Indikator Penilaian
                    </th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Nilai
                    </th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Bobot Penilaian
                    </th>
                    <th
                      scope="col"
                      [style.width.%]="12"
                      [ngClass]="jds.textAlign('center')"
                    >
                      Total
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td
                      [rowSpan]="2"
                      [style.width.%]="30"
                      [style.verticalAlign]="'middle'"
                    >
                      Keterisian data
                    </td>
                    <td>Jumlah baris dengan atribut lengkap</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ completeness.filled.cell_valid }}
                    </td>
                    <td
                      [rowSpan]="2"
                      [style.verticalAlign]="'middle'"
                      [ngClass]="jds.textAlign('center')"
                    >
                      {{ completeness.filled.weight }}
                    </td>
                    <td
                      [rowSpan]="2"
                      [ngClass]="[jds.fw('bold'), jds.textAlign('center')]"
                      [style.verticalAlign]="'middle'"
                    >
                      {{ completeness.result | number: '1.0-1' : 'id' }}
                    </td>
                  </tr>
                  <tr>
                    <td>Jumlah seluruh baris</td>
                    <td [ngClass]="jds.textAlign('center')">
                      {{ completeness.filled.cell_total }}
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </ng-container>

  <ng-template #empty>
    <div
      [ngClass]="[
        jds.cardBody,
        jds.textAlign('center'),
        jds.py(50),
        jds.px(15)
      ]"
    >
      <svg
        [ngClass]="[jds.my(20)]"
        width="80"
        height="80"
        viewBox="0 0 52 60"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M29.7574 0C30.5297 0 31.1238 0.63 31.1238 1.38V11.04C31.1238 16.53 35.6089 21.03 41.0446 21.06C43.302 21.06 45.0842 21.09 46.4505 21.09L46.9565 21.0878C47.8696 21.0808 49.099 21.06 50.1634 21.06C50.9059 21.06 51.5 21.66 51.5 22.41V46.53C51.5 53.97 45.5297 60 38.1634 60H14.5198C6.79703 60 0.5 53.67 0.5 45.87V13.53C0.5 6.09 6.5 0 13.896 0H29.7574ZM32.9356 38.7H16.7772C15.5594 38.7 14.5495 39.69 14.5495 40.92C14.5495 42.15 15.5594 43.17 16.7772 43.17H32.9356C34.1535 43.17 35.1634 42.15 35.1634 40.92C35.1634 39.69 34.1535 38.7 32.9356 38.7ZM26.8168 23.7H16.7772C15.5594 23.7 14.5495 24.72 14.5495 25.95C14.5495 27.18 15.5594 28.17 16.7772 28.17H26.8168C28.0347 28.17 29.0446 27.18 29.0446 25.95C29.0446 24.72 28.0347 23.7 26.8168 23.7ZM35.4521 2.718C35.4521 1.425 37.0055 0.783 37.8937 1.716C41.1046 5.088 46.7154 10.983 49.8521 14.277C50.7194 15.186 50.0838 16.695 48.8333 16.698C46.3917 16.707 43.5135 16.698 41.4432 16.677C38.158 16.677 35.4521 13.944 35.4521 10.626V2.718Z"
          fill="#E0E0E0"
        />
      </svg>

      <h6>Belum ada Skor Kualitas Dataset saat ini</h6>
      <p>Mohon coba kembali di lain waktu</p>
    </div>
  </ng-template>
</section>

<ng-template
  #title
  let-title="title"
  let-subtitle="subtitle"
>
  <label [ngClass]="[jds.formLabel, jds.fs(14)]">
    {{ title }}
  </label>
  <div [ngClass]="[jds.fs(14), jds.text('gray700')]">
    {{ subtitle }}
  </div>
</ng-template>

<ng-template #score>
  <div [ngClass]="[jds.fs(14)]">
    <span [ngClass]="jds.fw('bold')">Nilai = 1 atau 0 </span>
    <span [ngClass]="jds.text(jdsBiColor.gray['700'])">
      (dibaca: Ya atau Tidak)
    </span>
  </div>
</ng-template>

<ng-template
  #formulaMultiplication
  let-percentage="percentage"
>
  <div [ngClass]="[jds.fs(14)]">
    <span [ngClass]="jds.fw('bold')">Rumus = </span>
    <span [ngClass]="[jds.fw('bold'), jds.text(jdsBiColor.green['700'])]">
      Nilai x {{ percentage }}%
    </span>
  </div>
</ng-template>

<ng-template
  #formulaPercentage
  let-variableA="variableA"
  let-variableB="variableB"
  let-percentage="percentage"
>
  <div [ngClass]="[jds.fs(14)]">
    <table
      [ngClass]="[
        jds.table,
        jds.tableSm,
        jds.tableBorderless,
        jds.mb(0),
        jds.fw('bold')
      ]"
      role="table"
      aria-label="Quality Score Formula Percentage"
      aria-describedby="Table Quality Score Formula Percentage"
    >
      <tr>
        <th
          scope="row"
          [rowSpan]="2"
          [style.width.%]="14"
        >
          Rumus =
        </th>
        <td
          [ngClass]="[
            jds.text(jdsBiColor.green['700']),
            jds.textAlign('center')
          ]"
          [style.width.%]="55"
        >
          {{ variableA }}
        </td>
        <td [style.width.%]="2"></td>
        <td
          [rowSpan]="2"
          [ngClass]="jds.text(jdsBiColor.green['700'])"
        >
          x {{ percentage }}%
        </td>
      </tr>
      <tr>
        <td
          [ngClass]="[
            jds.text(jdsBiColor.green['700']),
            jds.textAlign('center')
          ]"
          [style.borderTop]="'1px solid ' + jdsBiColor.green['700']"
        >
          {{ variableB }}
        </td>
      </tr>
    </table>
  </div>
</ng-template>
